
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Welcome to Battery SOH’s documentation! &#8212; Battery SOH  documentation</title>
    
  <link href="_static/css/theme.css" rel="stylesheet" />
  <link href="_static/css/index.c5995385ac14fb8791e8eb36b4908be2.css" rel="stylesheet" />

    
  <link rel="stylesheet"
    href="_static/vendor/fontawesome/5.13.0/css/all.min.css">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="_static/vendor/fontawesome/5.13.0/webfonts/fa-solid-900.woff2">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="_static/vendor/fontawesome/5.13.0/webfonts/fa-brands-400.woff2">

    
      

    
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/basic.css" />
    <link rel="stylesheet" type="text/css" href="_static/css/custom.css" />
    
  <link rel="preload" as="script" href="_static/js/index.1c5a1a01449ed65a7b51.js">

    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/doctools.js"></script>
    <script crossorigin="anonymous" integrity="sha256-Ae2Vz/4ePdIu6ZyI/5ZGsYnb+m0JlOmKPjt6XZ9JJkA=" src="https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Google Colabs" href="sphinx/Colabs.html" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="docsearch:language" content="en" />
    
  </head>
  <body data-spy="scroll" data-target="#bd-toc-nav" data-offset="80">
    
    <div class="container-fluid" id="banner"></div>

    
    <nav class="navbar navbar-light navbar-expand-lg bg-light fixed-top bd-navbar" id="navbar-main"><div class="container-xl">

  <div id="navbar-start">
    
    

<a class="navbar-brand" href="#">
  <img src="_static/logo.png" class="logo" alt="logo">
</a>


    
  </div>

  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar-collapsible" aria-controls="navbar-collapsible" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  
  <div id="navbar-collapsible" class="col-lg-9 collapse navbar-collapse">
    <div id="navbar-center" class="mr-auto">
      
      <div class="navbar-center-item">
        <ul id="navbar-main-elements" class="navbar-nav">
    <li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="sphinx/Colabs.html">
  Google Colabs
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="sphinx/main.html">
  Useful dictionaries
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="sphinx/Battery%20Classes.html">
  Battery Classes
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="sphinx/Cleaning.html">
  Treatment functions
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="sphinx/Models.html">
  Models
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="sphinx/Training.html">
  Training and Simulation
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="sphinx/Report.html">
  Report related
 </a>
</li>

    
</ul>
      </div>
      
    </div>

    <div id="navbar-end">
      
      <div class="navbar-end-item">
        <ul id="navbar-icon-links" class="navbar-nav" aria-label="Icon Links">
      </ul>
      </div>
      
    </div>
  </div>
</div>
    </nav>
    

    <div class="container-xl">
      <div class="row">
          
            
            <!-- Only show if we have sidebars configured, else just a small margin  -->
            <div class="col-12 col-md-3 bd-sidebar"><form class="bd-search d-flex align-items-center" action="search.html" method="get">
  <i class="icon fas fa-search"></i>
  <input type="search" class="form-control" name="q" id="search-input" placeholder="Search the docs ..." aria-label="Search the docs ..." autocomplete="off" >
</form><nav class="bd-links" id="bd-docs-nav" aria-label="Main navigation">
  <div class="bd-toc-item active">
    
  </div>
</nav>
            </div>
            
          

          
          <div class="d-none d-xl-block col-xl-2 bd-toc">
            
              
              <div class="toc-item">
                
<div class="tocsection onthispage pt-5 pb-3">
    <i class="fas fa-list"></i> On this page
</div>

<nav id="bd-toc-nav">
    <ul class="visible nav section-nav flex-column">
 <li class="toc-h1 nav-item toc-entry">
  <a class="reference internal nav-link" href="#">
   Welcome to Battery SOH’s documentation!
  </a>
 </li>
 <li class="toc-h1 nav-item toc-entry">
  <a class="reference internal nav-link" href="#indices-and-tables">
   Indices and tables
  </a>
 </li>
</ul>

</nav>
              </div>
              
              <div class="toc-item">
                
              </div>
              
            
          </div>
          

          
          
            
          
          <main class="col-12 col-md-9 col-xl-7 py-md-5 pl-md-5 pr-md-4 bd-content" role="main">
              
              <div>
                
  <div class="section" id="welcome-to-battery-soh-s-documentation">
<h1>Welcome to Battery SOH’s documentation!<a class="headerlink" href="#welcome-to-battery-soh-s-documentation" title="Permalink to this headline">¶</a></h1>
<p>Here you’ll find the documentation for all functions and classes developed during
the internship. This page will guide you through the <em>must read</em> and where you
can find information about each separate piece of code.</p>
<p>The best way of seeing how to <em>use</em> all of these pieces together is by checking
the <a class="reference internal" href="sphinx/Colabs.html"><span class="doc">Google Colabs</span></a>, which are notebook files
(<code class="docutils literal notranslate"><span class="pre">'.ipynb'</span></code>). The two most useful are:</p>
<ul class="simple">
<li><p>The Training Colab, which presents how to train a model with the existing
datasets.</p></li>
<li><p>The Normalisation Training Colab presents how to create a model that
integrates normalisation parameters (from scratch or based on old models), and
how to change and optimize them. <a class="reference internal" href="sphinx/LSTMwithNorm.html#lstms-norm"><span class="std std-ref">Their documentation</span></a> is
also a must read.</p></li>
</ul>
<p>My recommendation is that you use the provided colabs, changing as little as you
need. Whenever you want to change or add something, check the specific
documentation here. In particular if you want to
<a class="reference internal" href="sphinx/Battery%20Classes.html#new-dataset"><span class="std std-ref">use new datasets</span></a> or <a class="reference internal" href="sphinx/Models.html#new-models"><span class="std std-ref">develop new models</span></a>.</p>
<div class="toctree-wrapper compound">
<p class="caption"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="sphinx/Colabs.html">Google Colabs</a><ul>
<li class="toctree-l2"><a class="reference internal" href="Google%20Colabs/Training_Colab.html">Training Colab</a></li>
<li class="toctree-l2"><a class="reference internal" href="Google%20Colabs/Normalisation_Training.html">Normalisation Training</a></li>
<li class="toctree-l2"><a class="reference internal" href="Google%20Colabs/LSTM_Chemistry_Training.html">LSTM Chemistry Training</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sphinx/main.html">Useful dictionaries</a></li>
<li class="toctree-l1"><a class="reference internal" href="sphinx/Battery%20Classes.html">Battery Classes</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sphinx/NASA.html">Nasa dataset</a></li>
<li class="toctree-l2"><a class="reference internal" href="sphinx/MIT.html">MIT dataset</a></li>
<li class="toctree-l2"><a class="reference internal" href="sphinx/COIN.html">Tarascon's Coin dataset</a></li>
<li class="toctree-l2"><a class="reference internal" href="sphinx/Battery%20Classes.html#working-with-new-datasets">Working with new Datasets</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sphinx/Cleaning.html">Treatment functions</a></li>
<li class="toctree-l1"><a class="reference internal" href="sphinx/Models.html">Models</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sphinx/Models.html#architecture">Architecture</a></li>
<li class="toctree-l2"><a class="reference internal" href="sphinx/Models.html#base-classes">Base Classes</a></li>
<li class="toctree-l2"><a class="reference internal" href="sphinx/Models.html#variants">Variants</a></li>
<li class="toctree-l2"><a class="reference internal" href="sphinx/Models.html#developing-new-models">Developing New Models</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sphinx/Training.html">Training and Simulation</a></li>
<li class="toctree-l1"><a class="reference internal" href="sphinx/Report.html">Report related</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sphinx/Report.html#report-creation">Report creation</a></li>
<li class="toctree-l2"><a class="reference internal" href="sphinx/Report.html#evaluating-models-from-reports">Evaluating models from reports</a></li>
<li class="toctree-l2"><a class="reference internal" href="sphinx/Report.html#for-older-models">For older models</a></li>
<li class="toctree-l2"><a class="reference internal" href="sphinx/Report.html#distribution-plots">Distribution plots</a></li>
</ul>
</li>
</ul>
</div>
</div>
<div class="section" id="indices-and-tables">
<h1>Indices and tables<a class="headerlink" href="#indices-and-tables" title="Permalink to this headline">¶</a></h1>
<ul class="simple">
<li><p><a class="reference internal" href="genindex.html"><span class="std std-ref">Index</span></a></p></li>
<li><p><a class="reference internal" href="py-modindex.html"><span class="std std-ref">Module Index</span></a></p></li>
<li><p><a class="reference internal" href="search.html"><span class="std std-ref">Search Page</span></a></p></li>
</ul>
</div>


              </div>
              
              
              <div class='prev-next-bottom'>
                
    <a class='right-next' id="next-link" href="sphinx/Colabs.html" title="next page">Google Colabs</a>

              </div>
              
          </main>
          

      </div>
    </div>
  
  <script src="_static/js/index.1c5a1a01449ed65a7b51.js"></script>

  <footer class="footer mt-5 mt-md-0">
  <div class="container">
    
    <div class="footer-item">
      <p class="copyright">
    &copy; Copyright 2021, Antonio Rocha Azevedo.<br/>
</p>
    </div>
    
    <div class="footer-item">
      <p class="sphinx-version">
Created using <a href="http://sphinx-doc.org/">Sphinx</a> 4.0.2.<br/>
</p>
    </div>
    
  </div>
</footer>
  </body>
</html>